<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="#">MagicNotes</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                </li>
            </ul>
            <form class="form-inline my-2 my-lg-0">
                <input id="searchText" class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                <button id='searchBtn' class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
            </form>
        </div>
    </nav>
    <div class="container my-3">
        <h1>Welcome to Magic Notes.</h1>
        <div class="card">
            <div class="card-body">
                <h5 class="card-title">Add a Notes</h5>
                <div class="form-group">
                    <textarea class="form-control" id="addText" rows="3"></textarea>
                </div>
                <button href="#" class="btn btn-primary" id="addBtn">Add Note</button>
            </div>
        </div>
        <hr>
        <h2>Your Notes</h2>
        <hr>
        <div id="notes" class="row container-fluid"></div>            
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
    <script>
    console.log("Magic Notes");
showNotes();//ShowNotes Function



//Event call to addnotes
let addBtn = document.getElementById('addBtn');
addBtn.addEventListener('click', (element) => {
    let addText = document.getElementById('addText');
    let notes = localStorage.getItem('notes');
    if (notes == null) {
        noteObj = [];
    }
    else {
        noteObj = JSON.parse(notes);
    }
    noteObj.push(addText.value);
    localStorage.setItem('notes', JSON.stringify(noteObj));
    addText.value = '';
    showNotes();
})


//Show Notes Function

function showNotes() {
    let notes = localStorage.getItem('notes');
    if (notes == null) {
        noteObj = [];
    }
    else {
        noteObj = JSON.parse(notes);
    }
    let html = '';
    noteObj.forEach(function (element, index) {
        html +=
            `
<div class=" noteCard card mx-2 my-2 bg-light" style="width: 15rem;">
                <div class="card-body">
                  <h5 class="card-title">Note${index + 1}</h5>
                  <p class="card-text">${element}</p>
                  <button id='${index}'  onclick="deleteNode(this.id)" class="btn btn-primary">Delete</button>
                </div>
              </div>
`
    });
    let noteElement = document.getElementById('notes');
    if (noteObj.length != 0) {
        noteElement.innerHTML = html;
    } else {
        noteElement.innerHTML = `Nothing to show ! "Add a Notes" in note secton`;
    }
}


//Delete Notes Functon
function deleteNode(index) {
    console.log(index);
    let notes = localStorage.getItem('notes');
    if (notes == null) {
        noteObj = [];
    }
    else {
        noteObj = JSON.parse(notes);
    }
    noteObj.splice(index,1);
    localStorage.setItem('notes', JSON.stringify(noteObj));
    showNotes();

}


//Searching

let searchTxt= document.getElementById('searchText');
searchTxt.addEventListener('input',function(){
    // console.log("Searching : "+ searchTxt.value)
    let inpValue = searchTxt.value;
    let noteCard = document.getElementsByClassName('noteCard');
    Array.from(noteCard).forEach(function(element){
        let cardTxt = element.getElementsByTagName('p')[0].innerText;
        if(cardTxt.includes(inpValue)){
            element.style.display="block";
        }
        else{
            element.style.display="none"
        }
    })
})
    </script>
</body>

</html>